#
# spec file for package asterisk16-addons (Version 1.6.1.3)
#
#

# norootforbuild

%define		origname	asterisk-addons

Name:           asterisk161-addons
BuildRequires:  alsa-devel curl-devel expat gcc-c++ libgsm-devel libpri libtiff-devel postgresql-devel libspandsp2 speex-devel unixODBC-devel wget 
BuildRequires: libpri >= 1.4.1
BuildRequires: dahdi-linux-kmp-default dahdi-linux dahdi-linux-devel dahdi-tools libtonezone-devel
%if 0%{?sles_version} > 10
BuildRequires: mISDNuser
%else
BuildRequires: mISDN mISDNuser
%endif
BuildRequires: alsa-lib-devel
BuildRequires: bison
BuildRequires: bluez-libs
BuildRequires: doxygen
BuildRequires: libogg-devel
BuildRequires: termcap
BuildRequires: libvorbis-devel
BuildRequires: m4
BuildRequires: ncurses-devel
BuildRequires: net-snmp-devel
BuildRequires: newt-devel
BuildRequires: openssl-devel bluez-libs
BuildRequires: libspandsp2 libspandsp-devel
BuildRequires: autoconf openldap2 openldap2-devel
Buildrequires: iksemel unixODBC termcap asterisk161-devel >= 1.6.1
Buildrequires: mysql mysql-client mysql-devel
%if 0%{?suse_version} >= 1110
BuildRequires: bluez-devel
%endif

Requires: newt ncurses postgresql-libs speex openldap2 asterisk161

%ifnarch s390 s390x
BuildRequires: dahdi-linux-kmp-default dahdi-linux dahdi-linux-devel dahdi-tools libtonezone-devel
%endif

URL:            http://www.asterisk.org
Summary:        The Asterisk Open Source PBX
Version:        1.6.1.3
Release:        3.15
License:        BSD License and BSD-like, GNU General Public License (GPL)
Group:          Productivity/Telephony/Servers
Source0:	%{origname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build


%description
Asterisk is a complete PBX in software. It runs on Linux and provides  
all of the features you would expect from a PBX and more. Asterisk  
does voice over IP in three protocols, and can interoperate with  
almost all standards-based telephony equipment using relatively  
inexpensive hardware.  
This package contains additional addons for asterisk.  



Authors:
--------
    Mark Spencer <markster@digium.com>

BuildRequires: cyrus-sasl-devel
BuildRequires: openh323-devel
BuildRequires: openldap-devel
BuildRequires: SDL-devel

%prep
%setup -n %{origname}-%{version}

%build
./bootstrap.sh
%configure --prefix=/usr --libdir=%{_libdir}
%{__make} menuselect.makeopts
%{__make} %{?_smp_mflags} DESTDIR=%{buildroot} libdir=%{_libdir}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/asterisk/modules/
%{__make} install DESTDIR=%{buildroot} libdir=%{_libdir}
%{__make} samples DESTDIR=%{buildroot} libdir=%{_libdir}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/cdr_mysql.conf
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/mobile.conf
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/res_mysql.conf
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/ooh323.conf
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/mysql.conf
%{_libdir}/asterisk/modules/app_addon_sql_mysql.so
%{_libdir}/asterisk/modules/app_saycountpl.so
%{_libdir}/asterisk/modules/cdr_addon_mysql.so
%{_libdir}/asterisk/modules/chan_mobile.so
%{_libdir}/asterisk/modules/chan_ooh323.so
%{_libdir}/asterisk/modules/format_mp3.so
%{_libdir}/asterisk/modules/res_config_mysql.so


%changelog -n asterisk161-addons
* Wed Jun 02 2010 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.3-1
- update to release 1.6.1.3

* Wed Dec 16 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.2-1
- update to release 1.6.1.2

* Fri Jul 24 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.1-1
- update to release 1.6.1.1

* Wed Apr 29 2009 Carsten Schoene <cs@linux-administrator.com> - 1.6.1.0-1
- initial release of 1.6.1.x BRANCH
